STRINGS(1)

NUME
strings - imprimă secvențele de caractere imprimabile din fișiere

SINOPSIS
strings [-afovV] [-lungime-minimă]
        [-n lungime-minimă] [--bytes=lungime-minimă]
        [-t bază] [--radix=bază]
        [-e codificarea] [--encoding=codificarea]
        [-U metoda] [--unicode=metoda]
        [-] [--all] [--print-file-name]
        [-T nume-bfd] [--target=nume-bfd]
        [-w] [--include-all-whitespace]
        [-s] [--output-separator șir-separator]
        [--help] [--version] fișier...

DESCRIERE
Pentru fiecare fișier dat, GNU strings imprimă secvențele de caractere imprimabile care au cel puțin 4 caractere (sau numărul dat cu opțiunile de mai jos) și sunt urmate de un caracter neimprimabil.

În funcție de modul în care a fost configurat programul strings, acesta va afișa în mod implicit fie toate secvențele imprimabile pe care le poate găsi în fiecare fișier, fie numai acele secvențe care se află în secțiunile de date încărcabile și inițializate. Dacă tipul de fișier este de nerecunoscut sau dacă strings citește de la intrarea standard, atunci va afișa întotdeauna toate secvențele imprimabile pe care le poate găsi.

Pentru compatibilitate retroactivă, orice fișier care apare după o opțiune de linie de comandă de doar - va fi, de asemenea, scanat în întregime, indiferent de prezența oricărei opțiuni -d.

strings este util în principal pentru a determina conținutul fișierelor care nu sunt de tip text.

OPȚIUNI

-a
--all
-   Scanează întregul fișier, indiferent de secțiunile pe care le conține sau dacă aceste secțiuni sunt încărcate sau inițializate. În mod normal, acesta este comportamentul implicit, dar șirurile de caractere pot fi configurate astfel încât -d să fie în schimb comportamentul implicit.

    Opțiunea - este dependentă de poziție și obligă strings să efectueze scanări complete ale oricărui fișier care este menționat după - în linia de comandă, chiar dacă a fost specificată opțiunea -d.

-d
--data
    Imprimă numai șiruri de caractere din secțiunile de date inițializate și încărcate din fișier. Acest lucru poate reduce cantitatea de deșeuri la ieșire, dar expune, de asemenea, programul strings la orice deficiențe de securitate care pot fi prezente în biblioteca BFD utilizată pentru scanarea și încărcarea secțiunilor. strings poate fi configurat astfel încât această opțiune să fie comportamentul implicit. În astfel de cazuri, opțiunea -a poate fi utilizată pentru a evita utilizarea bibliotecii BFD și pentru a imprima doar toate șirurile găsite în fișier.

-f
--print-file-name
    Imprimă numele fișierului înainte de fiecare șir de caractere.

--help
    Afișează un rezumat al utilizării programului la ieșirea standard și iese.

-lungime-minimă
-n lungime-minimă
--bytes=lungime-minimă
    Imprimă secvențe de caractere afișabile care au cel puțin lungime-minimă caractere. Dacă nu este specificată, se utilizează o lungime minimă implicită de 4. Distincția dintre caracterele afișabile și cele care nu pot fi afișate depinde de activarea opțiunilor -e și -U. Secvențele se termină întotdeauna cu caractere de control, cum ar fi „linie nouă” și „retur de cărucior”, dar nu și cu „caracterul de tabulare”.

-o  La fel ca -t o. În alte versiuni de strings, -o se comportă ca -t d. Deoarece nu putem fi compatibili cu ambele moduri, am ales pur și simplu unul.

-t bază
--radix=bază
    Imprimă poziția în cadrul fișierului înaintea fiecărui șir de caractere. Argumentul cu un singur caracter specifică baza poziției---o pentru octal, x pentru hexazecimal sau d pentru zecimal.

-e codificarea
--encoding=codificarea
    Selectează codificarea caracterelor șirurilor de caractere care trebuie găsite. Valorile posibile pentru codificare sunt: s = caractere de un singur octet pe 7 biți (implicit), S = caractere de un singur octet pe 8 biți, b = 16-bit bigendian, l = 16-bit littleendian, B = 32-bit bigendian, L = 32-bit littleendian. Util pentru a găsi șiruri de caractere late; (l și b se aplică, de exemplu, codificărilor Unicode UTF-16/UCS-2).

-U [d|i|l|e|x|h]
--unicode=[default|invalid|locale|escape|hex|highlight]
    Controlează afișarea caracterelor multi-octet codificate UTF-8 în șiruri de caractere. În mod implicit (--unicode=default), acestea nu beneficiază de un tratament special, ci se bazează pe definiția opțiunii --encoding. Celelalte valori pentru această opțiune activează automat --encoding=S.

    Opțiunea --unicode=invalid le tratează ca fiind caractere negrafice și, prin urmare, nu fac parte dintr-un șir de caractere valid. Toate celelalte opțiuni le tratează ca fiind caractere de șir valide.

    Opțiunea --unicode=locale le afișează în limba locală curentă, care poate accepta sau nu codificarea UTF-8. Opțiunea --unicode=hex le afișează sub formă de secvențe de octeți hexazecimali cuprinse între caracterele <>. Opțiunea --unicode=escape le afișează ca secvențe de eludare (\uxxxx), iar opțiunea --unicode=highlight le afișează ca secvențe de eludare evidențiate cu roșu (dacă sunt acceptate de dispozitivul de ieșire). Culoarea are rolul de a atrage atenția asupra prezenței secvențelor unicode acolo unde nu ar fi de așteptat.

-T nume-bfd
--target=nume-bfd
    Specifică un alt format de cod obiect decât formatul implicit al sistemului dumneavoastră.

-v
-V
--version
    Afișează numărul versiunii programului la ieșirea standard și iese.

-w
--include-all-whitespace
    În mod implicit, caracterele de tabulare și spațiu sunt incluse în șirurile afișate, dar nu și alte caractere de spațiu în alb, cum ar fi liniile noi și retururile de cărucior. Opțiunea -w modifică acest lucru astfel încât toate caracterele de spațiu în alb sunt considerate ca făcând parte dintr-un șir de caractere.

-s
--output-separator
    În mod implicit, șirurile de caractere de ieșire sunt delimitate de o nouă linie. Această opțiune vă permite să furnizați orice șir de caractere care să fie utilizat ca separator al înregistrărilor de ieșire. Utilă cu „--include-all-whitespace” în cazul în care șirurile de caractere pot conține linii noi la nivel intern.

@fișier
    Citește opțiunile liniei de comandă din fișier. Opțiunile citite sunt inserate în locul opțiunii originale @fișier. Dacă fișier nu există sau nu poate fi citit, atunci opțiunea va fi tratată literal și nu va fi eliminată.

    Opțiunile din fișier sunt separate prin spații albe. Un caracter de spațiere poate fi inclus într-o opțiune prin includerea întregii opțiuni între ghilimele simple sau duble. Orice caracter (inclusiv o bară oblică inversă) poate fi inclus prin prefixarea caracterului care urmează să fie inclus cu o bară oblică inversă. fișier poate conține la rândul său opțiuni @fișier suplimentare; orice astfel de opțiuni vor fi procesate în mod recursiv.

CONSULTAȚI ȘI
ar(1), nm(1), objdump(1), ranlib(1), readelf(1) and the Info entries for binutils.

DREPTURI DE AUTOR
Drepturi de autor © 1991-2026 Free Software Foundation, Inc.

Se acordă permisiunea de a copia, distribui și/sau modifica acest document în conformitate cu termenii Licenței GNU Free Documentation, versiunea 1.3 sau orice versiune ulterioară publicată de Free Software Foundation; fără secțiuni invariante, fără texte de copertă și fără texte de contra copertă. O copie a licenței este inclusă în secțiunea intitulată „GNU Free Documentation License”.

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.